# Generated from redis_directory-1.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name redis_directory

Name: rubygem-%{gem_name}
Version: 1.0.4
Release: 1%{?dist}
Summary: Redis Directory for retriving/storing redis connections in a central database
License: MIT
URL: https://github.com/wiecklabs/redis_directory
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Redis::Directory assumes a Redis installation running on a default
port and database 0 that will contain connection information for various
other Redis databases. For example, if you were using a Redis database to
store the content of cached pages, and this was running on a cluster of
two Redis instances, with multiple applications connecting partitioned by
database, then your connection might look like this:
require "redis"
require "redis/distributed"
# The ACME Corp database is #27
cache = Redis::Distributed.new "redis://redis.example:4400/27",
"redis://redis.example:4401/27"
Redis::Directory uses a centralized Redis database to store the
connection information so you don't have to remember "magic numbers" for
each client/database mapping, and can easily update port-numbers/hostnames,
cluster-members as necessary. The same connection with
Redis::Directory would look like this:
require "redis_directory"
cache = Redis::Directory.new("redis.example").connect("cache", "acme").


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/redis_directory.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 1.0.4-1
- Initial package
